{# <?php
/**
 * Ranking question, item Html
 * @var $value
 * @var $selected
 * @var $classes
 * @var $id
 * @var $optiontext
 */
?> #}

<li class="select-item form-group row mb-1">
    <label for="answer{{myfname}}" class="control-label col-md-4">
        {{ processString(labeltext) }}
    </label>
    <div class="col-md-8">
        <select  class='form-select form-control' name="{{myfname}}" id="answer{{myfname}}">
            {% for option in options %}
                <option value="{{ option.value }}" {{ option.selected }} class='{{option.classes}}'>
                    {{ flatString(processString(option.optiontext,1)) }}
                </option>
            {% endfor %}
        </select>
        <!-- Hidden form: maybe can be replaced with ranking.js -->
        <input type="hidden" id="java{{myfname}}" disabled="disabled" value="{{thisvalue}}"/>
    </div>
</li>
